<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>authorization form</title>
</head>
<body>
    <script>

        let userName = "";     
        let userAge = "";

        const notAllowedText = 'You are not allowed to visit this website';
        const welcomeText = 'Welcome, '

        while (!userName || !isNaN(userName)){
            userName = prompt ('enter your name', userName);
        }
        while(isNaN(userAge) || !userAge){
            userAge = +prompt('enter your age', userAge);
        }
    
        if (userAge <18){
            alert (`${notAllowedText}`);
        }
        else if (userAge <=22){
            const result = confirm ('Are you sure you want to continue?');
            if (result){
                alert (`${welcomeText} ${userName}`);
            }
            else{
                alert (`${notAllowedText}`);
            }
        }
        else{
            alert (`${welcomeText} ${userName}`);
        }

    </script>
</body>
</html>